---
import Layout from '../layouts/Layout.astro'
import BackButton from '../components/BackButton.astro'
import ColorizedHR from '../components/ColorizedHR.astro'

import wifiIcon from '../assets/images/icons/wifi.svg'
import guestWifiQrCode from '../assets/images/guest-wifi-qr.png'

import { Image } from 'astro:assets'

const guestNetworkName = import.meta.env.GUEST_NETWORK_NAME
---

<Layout title="Guest WiFi Access">
  <main class="min-w-screen min-h-screen bg-space-cadet text-white">
    <ColorizedHR backgroundColor="#D81159" />
    <ColorizedHR backgroundColor="#1D2F6F" />
    <ColorizedHR backgroundColor="#0496FF" />

    <div class="hidden lg:block">
      <BackButton href="/" />
    </div>

    <div class="pt-24 grid grid-cols-1 place-items-center">
      <div class="grid grid-cols-1 gap-4 max-w-lg space-y-12 place-items-center" id="content">
        <section id="network-info" class="space-y-4 grid place-items-center">
          <h2 class="text-4xl font-bold px-6">
            Guest WiFi <img class="inline w-20 h-20 pt-0 pb-1 pl-0" src={wifiIcon.src} alt="wifi" />
          </h2>

          <!-- Guest WiFi Network Information -->
          <div id="network-info" class="grid place-items-center">
            <h2 class="pt-24 text-3xl font-bold text-center text-white py-6">
              {guestNetworkName}
            </h2>

            <div id="guest-wifi-qr-code-wrapper" class="w-64 h-64 relative py-6">
              <Image
                id="guest-wifi-qr-code"
                src={guestWifiQrCode}
                alt="avatar"
                class="transition-opacity ease-in-out duration-700 w-full h-auto opacity-0"
              />
            </div>
          </div>
        </section>
      </div>
    </div>
  </main>
</Layout>

<script>
  function showContentImage() {
    const profileImage = document.querySelector('#guest-wifi-qr-code')
    profileImage?.classList.remove('opacity-0')
  }

  window.onload = (e) => {
    showContentImage()
  }
</script>
